'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /**
                                                                                                                                                                                                                                                                   * Created by timur on 3/10/17.
                                                                                                                                                                                                                                                                   */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Grid = function Grid(props) {
  var children = props.children;

  // Rows are the immediate children of the grid

  var rows = (0, _utils.itemToArray)(children);

  var grid = rows.map(function (row, y) {

    // Columns are grandchildren of the grid
    var cols = (0, _utils.itemToArray)(row.props.children);

    return _react2.default.createElement(
      'div',
      _extends({}, row.props, {
        key: y,
        className: 'row'
      }),
      cols.map(function (col, x) {

        if (col.props.size) {

          console.log(Object.keys(col.props));

          var xs = col.props.size.xs ? 'col-xs-' + col.props.size.xs : '';
          var sm = col.props.size.sm ? 'col-sm-' + col.props.size.sm : '';
          var md = col.props.size.md ? 'col-md-' + col.props.size.md : '';
          var lg = col.props.size.lg ? 'col-lg-' + col.props.size.lg : '';

          return _react2.default.createElement(
            'div',
            _extends({}, col.props, {
              key: x,
              className: (xs + ' ' + sm + ' ' + md + ' ' + lg).trim()
            }),
            col.props.children
          );
        } else {
          return _react2.default.createElement(
            'div',
            { key: x },
            'Columns need a size!'
          );
        }
      })
    );
  });

  return _react2.default.createElement(
    'div',
    props,
    grid
  );
};

exports.default = Grid;